package cn.com.tenlion.systembase.pojo.dtos.statistics;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 *
 * @ClassName: StatisticsDTO
 * @Description: 统计专用
 * @Author: CodeFactory
 * @Date: 2021-09-17 14:43:53
 * @Version: 3.0
 **/
@ApiModel
public class StatisticsLineDTO {

    @ApiModelProperty(name = "dataType", value = "数据类型")
    private String dataType;
    @ApiModelProperty(name = "count", value = "数量")
    private String count;
    @ApiModelProperty(name = "year", value = "年份")
    private String year;
    @ApiModelProperty(name = "month", value = "月份")
    private String month;
    @ApiModelProperty(name = "statisticsDTOList", value = "月份")
    private List<StatisticsDTO> statisticsDTOList;

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public List<StatisticsDTO> getStatisticsDTOList() {
        return statisticsDTOList;
    }

    public void setStatisticsDTOList(List<StatisticsDTO> statisticsDTOList) {
        this.statisticsDTOList = statisticsDTOList;
    }
}
